package com.gprinter.udp.wifi.set;

import com.gprinter.udp.CommandUDP;
import com.gprinter.udp.Response;

/* loaded from: com_gprinter_udp_wifi_set.jar:com/gprinter/udp/wifi/set/SettingApPwdCommand.class */
public class SettingApPwdCommand extends CommandUDP {
    private String pwd;

    public SettingApPwdCommand(String pwd) {
        this.pwd = pwd;
    }

    public byte[] getCommand() {
        return getAT_WAKEY(this.pwd).getBytes();
    }

    public Response resolveResponseData(long uuid, byte[] data) {
        if (data != null) {
            try {
                String response = new String(data);
                ResultResp resultResp = new ResultResp();
                if (response.contains("+ok")) {
                    resultResp.setResult(true);
                } else {
                    resultResp.setResult(false);
                }
                return resultResp;
            } catch (Exception e) {
                e.printStackTrace();
                return null;
            }
        }
        return null;
    }

    public String getAT_WAKEY(String str) {
        String cmd;
        new String();
        if (str.equals("")) {
            cmd = "AT+WAKEY=OPEN,NONE\r";
        } else {
            String cmd2 = "AT+WAKEY=WPA2PSK,AES," + str;
            cmd = cmd2 + "\r";
        }
        return cmd;
    }
}
